Bug Hunting Session
Bug 99452 - Table row edge drag can't be undone correctly
Summary: Table row edge drag can't be undone correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-22 13:07 UTC by Miklos Vajna
Modified: 2016-10-25 19:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer document (10.31 KB, application/vnd.oasis.opendocument.presentation)
2016-04-22 13:07 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-04-22 13:07:43 UTC
Created attachment 124572 [details]
Reproducer document

Steps to reproduce:

1) Open the attached Impress document, which contains a single table.

2) Use the mouse to resize the upper row to half its height, so that the height of the upper row will be around 2000 mm100, while the lower one will be around 4000 mm100.

3) Press undo.

Expected: the state from 1) is restored.

Actual: height of the two rows do not equal after undo.
Comment 1 Commit Notification 2016-04-25 09:55:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cafc53f8b4c08443524b1da6f4918d49afd45bb5

tdf#99452 svx: fix undo of table row edge drag

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-05-02 07:39:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c32e526d7cc1f623ca1b60a16537efa5740dd6c&h=libreoffice-5-1

tdf#99452 svx: fix undo of table row edge drag

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.